curl --request POST \
--url https://api.technologychecker.io/v1/technology-lookup-live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://stripe.com",
"options": {
"mode": "full",
"probe": false,
"interact": false
}
}
'{
"success": true,
"data": {
"url": "https://stripe.com/de",
"originalUrl": "https://stripe.com",
"mode": "fetch",
"technologies": [
{
"id": 1115,
"slug": "amazon-s3",
"name": "Amazon S3",
"description": "Amazon S3 or Amazon Simple Storage Service is a service offered by Amazon Web Services (AWS) that provides object storage through a web service interface.",
"confidence": 100,
"version": null,
"cpe": "<string>",
"categories": [
{
"id": 705,
"slug": "cdn",
"name": "CDN",
"groups": [
{
"id": 7,
"name": "Infrastructure",
"slug": "infrastructure-hosting"
}
]
}
]
}
],
"stats": {
"htmlLength": 594693,
"scriptsCount": 0,
"scriptSrcCount": 63,
"cookiesCount": 0,
"headersCount": 19,
"metaCount": 18,
"dnsRecordTypes": 4,
"dnsTxtCount": 31,
"jsGlobalsFound": 0,
"domMatchesFound": 0,
"xhrHostsFound": 0,
"textLength": 0,
"cssLength": 0,
"robotsProbed": false,
"probePathsChecked": 0
}
}
}Detect technologies on a website in real-time using browser rendering and pattern matching. Supports three detection modes with varying speed and accuracy.
Costs 5 credits per request.
curl --request POST \
--url https://api.technologychecker.io/v1/technology-lookup-live \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://stripe.com",
"options": {
"mode": "full",
"probe": false,
"interact": false
}
}
'{
"success": true,
"data": {
"url": "https://stripe.com/de",
"originalUrl": "https://stripe.com",
"mode": "fetch",
"technologies": [
{
"id": 1115,
"slug": "amazon-s3",
"name": "Amazon S3",
"description": "Amazon S3 or Amazon Simple Storage Service is a service offered by Amazon Web Services (AWS) that provides object storage through a web service interface.",
"confidence": 100,
"version": null,
"cpe": "<string>",
"categories": [
{
"id": 705,
"slug": "cdn",
"name": "CDN",
"groups": [
{
"id": 7,
"name": "Infrastructure",
"slug": "infrastructure-hosting"
}
]
}
]
}
],
"stats": {
"htmlLength": 594693,
"scriptsCount": 0,
"scriptSrcCount": 63,
"cookiesCount": 0,
"headersCount": 19,
"metaCount": 18,
"dnsRecordTypes": 4,
"dnsTxtCount": 31,
"jsGlobalsFound": 0,
"domMatchesFound": 0,
"xhrHostsFound": 0,
"textLength": 0,
"cssLength": 0,
"robotsProbed": false,
"probePathsChecked": 0
}
}
}API key in format tapi_live_[32-char] (live) or tapi_test_[32-char] (test)
Was this page helpful?